﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace ChartAxisTitleSample
{
    public class App
    {
        public static Page GetMainPage()
        {
            return new ContentPage
            {
                Content = GetChart()
            };
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart();
            chart.PrimaryAxis = new NumericalAxis();
            chart.SecondaryAxis = new NumericalAxis();

            chart.PrimaryAxis.Title = new ChartAxisTitle()
            {
                Text = "P axis title"
            };

            chart.SecondaryAxis.Title = new ChartAxisTitle()
            {
                Text = "S axis title"
            };

            LineSeries lineSeries = new LineSeries();

            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();
            data.Add(new ChartDataPoint(1, 34));
            data.Add(new ChartDataPoint(2, 33));
            data.Add(new ChartDataPoint(3, 35));
            data.Add(new ChartDataPoint(4, 12));
            data.Add(new ChartDataPoint(5, 43));
            data.Add(new ChartDataPoint(6, 22));
            data.Add(new ChartDataPoint(7, 36));
            lineSeries.ItemsSource = data;

            chart.Series.Add(lineSeries);

            return chart;
        }
    }
}
